NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder Class Reference

Represents a NXOpen::Features::ShipDesign::EdgeReinforcement builder which is used to create or edit a edge reinforcement system feature. More...

Inheritance diagram for NXOpen::Features::ShipDesign::EdgeReinforcementBuilder:
NXOpen::Features::ShipDesign::ProfileSystemBuilder NXOpen::Features::ShipDesign::FeatureParmsBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  EndCutTypes { EndCutTypesConnected, EndCutTypesFlangeFree, EndCutTypesSniped, EndCutTypesSnipedSquare }
 Used to specify the type of end cut to be used at the extreme ends of the edge reinforcement system. More...
 
enum  OrientationMethods { OrientationMethodsFaceNormal, OrientationMethodsVector }
 Used to specify the type of reference to use for specifying the orientation of the edge reinforcement system. More...
 
enum  Types { TypesOnEdge, TypesOnFace }
 Used to specify how the edge reinforcement system is defined. More...
 

Public Member Functions

bool BuildSolid ()
 Returns the indication of whether to build a solid for the edge reinforcement or just the curve. More...
 
bool CreateSeamsAtKnuckles ()
 Returns the flag that indicates if seams are to be created or updated at knuckle locations. More...
 
NXOpen::SectionEdges ()
 Returns the edges to reinforce. More...
 
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes EndCutEnd ()
 Returns the end cut to use at the end of the edge reinforcement system. More...
 
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes EndCutStart ()
 Returns the end cut to use at the start of the edge reinforcement system. More...
 
double KnuckleLocationTolerance ()
 Returns the tolerance used to determine when knuckle locations are considered to be the same. More...
 
NXOpen::ExpressionOffset ()
 Returns the offset used for the offset distance from anchor point. More...
 
NXOpen::ExpressionOrientationAngle ()
 Returns the angle to use for the edge reinforcement orientation. More...
 
NXOpen::Features::ShipDesign::OrientationDefinitionBuilderOrientationDefinitionBuilder ()
 Returns the builder used to define the orientation for the edge reinforcement system. More...
 
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethods OrientationMethod ()
 Returns the method used to orient the edge reinforcement. More...
 
NXOpen::DirectionOrientationVector ()
 Returns the orientation vector when the orientation method is NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethodsVector . More...
 
bool Reverse ()
 Returns the indication if the default direction of the flange is reverse or not. More...
 
bool ReverseAttachmentDirection ()
 Returns the flag that indicates if the attachment direction is reversed. More...
 
void SetBuildSolid (bool buildSolid)
 Sets the indication of whether to build a solid for the edge reinforcement or just the curve. More...
 
void SetCreateSeamsAtKnuckles (bool createSeams)
 Sets the flag that indicates if seams are to be created or updated at knuckle locations. More...
 
void SetEndCutEnd (NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes endCutEnd)
 Sets the end cut to use at the end of the edge reinforcement system. More...
 
void SetEndCutStart (NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes endCutStart)
 Sets the end cut to use at the start of the edge reinforcement system. More...
 
void SetKnuckleLocationTolerance (double knuckleLocationTolerance)
 Sets the tolerance used to determine when knuckle locations are considered to be the same. More...
 
void SetOrientationMethod (NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethods orientationMethod)
 Sets the method used to orient the edge reinforcement. More...
 
void SetOrientationVector (NXOpen::Direction *orientationVector)
 Sets the orientation vector when the orientation method is NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethodsVector . More...
 
void SetReverse (bool reverse)
 Sets the indication if the default direction of the flange is reverse or not. More...
 
void SetReverseAttachmentDirection (bool reverse)
 Sets the flag that indicates if the attachment direction is reversed. More...
 
void SetType (NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Types type)
 Sets the type of placement being used in the edge reinforcement definition. More...
 
NXOpen::Features::ShipDesign::ShipNamesBuilderShipNames ()
 Returns the Ship Names builder, used to assign names to the Edge Reinforcement Systems created. More...
 
NXOpen::Features::ShipDesign::StiffenerStockBuilderStockData ()
 Returns the stock data used to define the stock information of the edge reinforcement. More...
 
NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Types Type ()
 Returns the type of placement being used in the edge reinforcement definition. More...
 
NXOpen::Weld::CharacteristicsBuilderWeld ()
 Returns the builder used to specify the welding characteristics for the edge reinforcement. More...
 
- Public Member Functions inherited from NXOpen::Features::ShipDesign::ProfileSystemBuilder
NXOpen::SelectNXObjectListBoundary1 ()
 Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system. More...
 
NXOpen::PlaneBoundary1Plane ()
 Returns the defined plane that will be used to trim the first end of the generated profile system. More...
 
NXOpen::SelectNXObjectListBoundary2 ()
 Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system. More...
 
NXOpen::PlaneBoundary2Plane ()
 Returns the defined plane that will be used to trim the second end of the generated profile system. More...
 
bool BoundaryReverse ()
 Returns the indication if the side of a single boundary should be changed to the other side or not. More...
 
void CreatePathCurves (std::vector< NXOpen::NXObject * > &curves)
 Creates path curves for all the paths of the profile system. More...
 
void DeleteLastPathCurves ()
 Deletes the path curves returned from a call to GetLastPathCurves . More...
 
void DeletePathCurves ()
 Deletes the path curves created from a call to CreatePathCurves . More...
 
NXOpen::SelectPointListFirstIntersectionPoints ()
 Returns the selected intersection points between the curves and the first boundary. More...
 
void GetLastPathCurves (std::vector< NXOpen::NXObject * > &curves)
 Gets the path curves used by NXOpen::Features::ShipDesign::OrientationDefinitionBuilder . More...
 
bool ReversePathDirection ()
 Returns the flag that indicates if the default curve direction should be reversed or not. More...
 
NXOpen::SelectPointListSecondIntersectionPoints ()
 Returns the selected intersection points between the curves and the second boundary. More...
 
void SetBoundary1Plane (NXOpen::Plane *boundary1Plane)
 Sets the defined plane that will be used to trim the first end of the generated profile system. More...
 
void SetBoundary2Plane (NXOpen::Plane *boundary2Plane)
 Sets the defined plane that will be used to trim the second end of the generated profile system. More...
 
void SetBoundaryOnePoints (const std::vector< NXOpen::Point3d > &points)
 Sets the selected intersection points for the first boundary. More...
 
void SetBoundaryReverse (bool boundaryReverse)
 Sets the indication if the side of a single boundary should be changed to the other side or not. More...
 
void SetBoundaryTwoPoints (const std::vector< NXOpen::Point3d > &points)
 Set the selected intersection points for the second boundary. More...
 
void SetRegionPoints (const std::vector< NXOpen::Point3d > &points)
 Sets the points that identify which regions of the curves will be used. More...
 
void SetReversePathDirection (bool pathReverse)
 Sets the flag that indicates if the default curve direction should be reversed or not. More...
 
void SetUseNewDefaultSectionAlgorithm (bool useIt)
 Sets the flag that indicates if the new default section algorithm is used. More...
 
NXOpen::SelectPointListSplitKnuckleLocations ()
 Returns the collector containing the knuckle points that are to be used to create seams. More...
 
bool UseNewDefaultSectionAlgorithm ()
 Returns the flag that indicates if the new default section algorithm is used. More...
 
- Public Member Functions inherited from NXOpen::Features::ShipDesign::FeatureParmsBuilder
double AngleTolerance ()
 Returns the tolerance, in degrees, used to determine when angles are zero. More...
 
NXOpen::Features::ShipDesign::PlaneListBuilderCreatePlaneForList ()
 Create a NXOpen::Features::ShipDesign::PlaneListBuilder to add a defined plane to a list. More...
 
double DistanceTolerance ()
 Returns the tolerance used to determine when distances are considered zero. More...
 
NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes OrientationAngleRule ()
 Returns the angle rule to use when measuring angles. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the tolerance, in degrees, used to determine when angles are zero. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the tolerance used to determine when distances are considered zero. More...
 
void SetOrientationAngleRule (NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes angleRule)
 Sets the angle rule to use when measuring angles. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ShipDesign::EdgeReinforcement builder which is used to create or edit a edge reinforcement system feature.


To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateEdgeReinforcementBuilder
Default values.

Property Value

EndCutEnd

Connected

EndCutStart

Connected

OrientationAngle.Value

0

OrientationDefinitionBuilder.MeasureAngles

NormaltoCurve

OrientationDefinitionBuilder.ShowSurfaceAngles

0

OrientationDefinitionBuilder.ShowTwistRate

0

OrientationDefinitionBuilder.ShowWebAngles

0

OrientationMethod

FaceNormal

StockData.AnchorPoint

0

StockData.PlateHeight.Value

50 (millimeters part), 2 (inches part)

StockData.PlateStockData.KnuckleRatio

3.0

StockData.PlateStockData.KnuckleSmoothAngle

3.0

StockData.PlateStockData.MaterialOption

0

StockData.PlateStockData.OppositeThickness.Value

0 (millimeters part), 0 (inches part)

StockData.PlateStockData.RestrictThicknessToMaterial

true

StockData.PlateStockData.ThickenOption

SingleSided

StockData.PlateStockData.Thickness.Value

10 (millimeters part), 0.5 (inches part)

StockData.PlateStockData.ThicknessSourceOption

List

StockData.SectionType

Profile


Created in NX8.0.0.

Member Enumeration Documentation

Used to specify the type of end cut to be used at the extreme ends of the edge reinforcement system.

Enumerator
EndCutTypesConnected 

connected

EndCutTypesFlangeFree 

flange free

EndCutTypesSniped 

sniped

EndCutTypesSnipedSquare 

sniped square

Used to specify the type of reference to use for specifying the orientation of the edge reinforcement system.

Enumerator
OrientationMethodsFaceNormal 

face normal

OrientationMethodsVector 

vector

Used to specify how the edge reinforcement system is defined.

Enumerator
TypesOnEdge 

on edge

TypesOnFace 

on face

Member Function Documentation

bool NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::BuildSolid ( )

Returns the indication of whether to build a solid for the edge reinforcement or just the curve.


Created in NX11.0.0.

License requirements : None

bool NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::CreateSeamsAtKnuckles ( )

Returns the flag that indicates if seams are to be created or updated at knuckle locations.


Created in NX12.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Edges ( )

Returns the edges to reinforce.


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutEnd ( )

Returns the end cut to use at the end of the edge reinforcement system.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutStart ( )

Returns the end cut to use at the start of the edge reinforcement system.


Created in NX9.0.0.

License requirements : None

double NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::KnuckleLocationTolerance ( )

Returns the tolerance used to determine when knuckle locations are considered to be the same.


Created in NX12.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Offset ( )

Returns the offset used for the offset distance from anchor point.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationAngle ( )

Returns the angle to use for the edge reinforcement orientation.


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::OrientationDefinitionBuilder* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationDefinitionBuilder ( )

Returns the builder used to define the orientation for the edge reinforcement system.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethods NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethod ( )

Returns the method used to orient the edge reinforcement.


Created in NX8.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationVector ( )

Returns the orientation vector when the orientation method is NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethodsVector .


Created in NX8.5.0.

License requirements : None

bool NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Reverse ( )

Returns the indication if the default direction of the flange is reverse or not.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::ReverseAttachmentDirection ( )

Returns the flag that indicates if the attachment direction is reversed.


Created in NX10.0.0.

License requirements : None

void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetBuildSolid ( bool  buildSolid)

Sets the indication of whether to build a solid for the edge reinforcement or just the curve.


Created in NX11.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
buildSolidbuildsolid
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetCreateSeamsAtKnuckles ( bool  createSeams)

Sets the flag that indicates if seams are to be created or updated at knuckle locations.


Created in NX12.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
createSeamscreateseams
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetEndCutEnd ( NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes  endCutEnd)

Sets the end cut to use at the end of the edge reinforcement system.


Created in NX9.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
endCutEndendcutend
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetEndCutStart ( NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::EndCutTypes  endCutStart)

Sets the end cut to use at the start of the edge reinforcement system.


Created in NX9.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
endCutStartendcutstart
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetKnuckleLocationTolerance ( double  knuckleLocationTolerance)

Sets the tolerance used to determine when knuckle locations are considered to be the same.


Created in NX12.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
knuckleLocationToleranceknucklelocationtolerance
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetOrientationMethod ( NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethods  orientationMethod)

Sets the method used to orient the edge reinforcement.


Created in NX8.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
orientationMethodorientationmethod
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetOrientationVector ( NXOpen::Direction orientationVector)

Sets the orientation vector when the orientation method is NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::OrientationMethodsVector .


Created in NX8.5.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
orientationVectororientationvector
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetReverse ( bool  reverse)

Sets the indication if the default direction of the flange is reverse or not.


Created in NX8.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
reversereverse
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetReverseAttachmentDirection ( bool  reverse)

Sets the flag that indicates if the attachment direction is reversed.


Created in NX10.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
reversereverse
void NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::SetType ( NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Types  type)

Sets the type of placement being used in the edge reinforcement definition.


Created in NX8.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
typetype
NXOpen::Features::ShipDesign::ShipNamesBuilder* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::ShipNames ( )

Returns the Ship Names builder, used to assign names to the Edge Reinforcement Systems created.


Created in NX9.0.2.

License requirements : None

NXOpen::Features::ShipDesign::StiffenerStockBuilder* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::StockData ( )

Returns the stock data used to define the stock information of the edge reinforcement.


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Types NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Type ( )

Returns the type of placement being used in the edge reinforcement definition.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::CharacteristicsBuilder* NXOpen::Features::ShipDesign::EdgeReinforcementBuilder::Weld ( )

Returns the builder used to specify the welding characteristics for the edge reinforcement.


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.